org.apache.tapestry5.internal.parser

## Enum TokenType

- java.lang.Object
- - java.lang.Enum<TokenType>
  - - org.apache.tapestry5.internal.parser.TokenType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TokenType>

      public enum TokenType
      extends java.lang.Enum<TokenType>

  Defines the different types of `TemplateToken`s. Each value maps to a particular subclass of TemplateToken.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTRIBUTE`
    `BLOCK`
    `BODY`
    `CDATA`
    `COMMENT`
    `DEFINE_NAMESPACE_PREFIX`
    `DTD`
    `END_ELEMENT`
    `EXPANSION`
    `EXTENSION_POINT`
    `PARAMETER`
    `START_COMPONENT`
    `START_ELEMENT`
    `TEXT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TokenType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TokenType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ATTRIBUTE

          public static final TokenType ATTRIBUTE

    - #### CDATA

          public static final TokenType CDATA

    - #### COMMENT

          public static final TokenType COMMENT

    - #### END_ELEMENT

          public static final TokenType END_ELEMENT

    - #### START_COMPONENT

          public static final TokenType START_COMPONENT

    - #### START_ELEMENT

          public static final TokenType START_ELEMENT

    - #### TEXT

          public static final TokenType TEXT

    - #### BODY

          public static final TokenType BODY

    - #### EXPANSION

          public static final TokenType EXPANSION

    - #### PARAMETER

          public static final TokenType PARAMETER

    - #### BLOCK

          public static final TokenType BLOCK

    - #### DTD

          public static final TokenType DTD

    - #### DEFINE_NAMESPACE_PREFIX

          public static final TokenType DEFINE_NAMESPACE_PREFIX

    - #### EXTENSION_POINT

          public static final TokenType EXTENSION_POINT

      Since:
        5.1.0.1

  - ### Method Detail

    - #### values

          public static TokenType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TokenType c : TokenType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TokenType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.